| OpenZWave Library 1.6.0

Classes | Public Types | Public Member Functions | Public Attributes | List of all members
OpenZWave::SimpleHTTPClient::SocketSet Class Reference
Basic HTTP(s) Client

Support Multiple TCP Socket connections. More...

`#include <HttpClient.h>`

## Classes
struct | SocketSetData

## Public Types
typedef std::map< TcpSocket *, SocketSetData > | Store

## Public Member Functions
virtual | ~SocketSet ()
void | deleteAll ()
bool | update ()
void | add (TcpSocket *s, bool deleteWhenDone=true)
bool | has (TcpSocket *s)
void | remove (TcpSocket *s)
size_t | size ()

## Public Attributes
Store | _store

## Detailed Description

Support Multiple TCP Socket connections.

to Support multiple TCP Socket Connections

## Member Typedef Documentation

## ◆ Store

typedef std::map<TcpSocket*, SocketSetData> OpenZWave::SimpleHTTPClient::SocketSet::Store

## Constructor & Destructor Documentation

## ◆ ~SocketSet()

virtual OpenZWave::SimpleHTTPClient::SocketSet::~SocketSet | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ add()

void OpenZWave::SimpleHTTPClient::SocketSet::add | ( | TcpSocket * | s,
|  | bool | deleteWhenDone = `true`
| ) |  |

## ◆ deleteAll()

void OpenZWave::SimpleHTTPClient::SocketSet::deleteAll | ( |  | ) |

## ◆ has()

bool OpenZWave::SimpleHTTPClient::SocketSet::has | ( | TcpSocket * | s | ) |

## ◆ remove()

void OpenZWave::SimpleHTTPClient::SocketSet::remove | ( | TcpSocket * | s | ) |

## ◆ size()

size_t OpenZWave::SimpleHTTPClient::SocketSet::size | ( |  | ) |
| inline

## ◆ update()

bool OpenZWave::SimpleHTTPClient::SocketSet::update | ( |  | ) |

## Member Data Documentation

## ◆ _store

Store OpenZWave::SimpleHTTPClient::SocketSet::_store

The documentation for this class was generated from the following file:

- HttpClient.h